Index: libcfa/src/concurrency/actor.hfa
===================================================================
--- libcfa/src/concurrency/actor.hfa	(revision 8512a2fd42c2d4fc810ffdfdcf6fa95b12afe3f1)
+++ libcfa/src/concurrency/actor.hfa	(revision efdd18cb86b35dfd17a92e94494ea3c0fc7c6f8d)
@@ -35,5 +35,5 @@
 
 // show stats
-// #define STATS
+// #define ACTOR_STATS
 
 // forward decls
@@ -122,5 +122,5 @@
     copy_queue * c_queue;           // current queue
     volatile bool being_processed;  // flag to prevent concurrent processing
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     unsigned int id;
     size_t missed;                  // transfers skipped due to being_processed flag being up
@@ -132,5 +132,5 @@
     c_queue = owned_queue;
     being_processed = false;
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     id = i;
     missed = 0;
@@ -153,5 +153,5 @@
     // check if queue is being processed elsewhere
     if ( unlikely( being_processed ) ) {
-        #ifdef STATS
+        #ifdef ACTOR_STATS
         missed++;
         #endif
@@ -175,5 +175,5 @@
 struct worker_info {
     volatile unsigned long long stamp;
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     size_t stolen_from, try_steal, stolen, failed_swaps, msgs_stolen;
     unsigned long long processed;
@@ -182,5 +182,5 @@
 };
 static inline void ?{}( worker_info & this ) {
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     this.stolen_from = 0;
     this.try_steal = 0;                             // attempts to steal
@@ -194,5 +194,5 @@
 }
 
-// #ifdef STATS
+// #ifdef ACTOR_STATS
 // unsigned int * stolen_arr;
 // unsigned int * replaced_queue;
@@ -206,5 +206,5 @@
 };
 
-#ifdef STATS
+#ifdef ACTOR_STATS
 // aggregate counters for statistics
 size_t __total_tries = 0, __total_stolen = 0, __total_workers, __all_gulps = 0,
@@ -235,9 +235,9 @@
 }; // executor
 
-// #ifdef STATS
+// #ifdef ACTOR_STATS
 // __spinlock_t out_lock;
 // #endif
 static inline void ^?{}( worker & mutex this ) with(this) { 
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     __atomic_add_fetch(&__all_gulps, executor_->w_infos[id].gulps,__ATOMIC_SEQ_CST);
     __atomic_add_fetch(&__all_processed, executor_->w_infos[id].processed,__ATOMIC_SEQ_CST);
@@ -276,5 +276,5 @@
         no_steal = true;
     
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     // stolen_arr = aalloc( nrqueues );
     // replaced_queue = aalloc( nrqueues );
@@ -341,5 +341,5 @@
     } // for
 
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     size_t misses = 0;
     for ( i; nrqueues ) {
@@ -358,5 +358,5 @@
     if ( seperate_clus ) delete( cluster );
 
-    #ifdef STATS // print formatted stats
+    #ifdef ACTOR_STATS // print formatted stats
     printf("    Actor System Stats:\n");
     printf("\tActors Created:\t\t\t\t%lu\n\tMessages Sent:\t\t\t\t%lu\n", __num_actors_stats, __all_processed);
@@ -404,5 +404,5 @@
     ticket = __get_next_ticket( *__actor_executor_ );
     __atomic_fetch_add( &__num_actors_, 1, __ATOMIC_RELAXED );
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     __atomic_fetch_add( &__num_actors_stats, 1, __ATOMIC_SEQ_CST );
     #endif
@@ -513,5 +513,5 @@
             continue;
 
-        #ifdef STATS
+        #ifdef ACTOR_STATS
         curr_steal_queue = try_swap_queues( this, i + vic_start, swap_idx );
         if ( curr_steal_queue ) {
@@ -526,5 +526,5 @@
         #else
         curr_steal_queue = try_swap_queues( this, i + vic_start, swap_idx );
-        #endif // STATS
+        #endif // ACTOR_STATS
 
         return;
@@ -558,5 +558,5 @@
 
 void main( worker & this ) with(this) {
-    // #ifdef STATS
+    // #ifdef ACTOR_STATS
     // for ( i; executor_->nrqueues ) {
     //     replaced_queue[i] = 0;
@@ -587,7 +587,7 @@
         }
         transfer( *curr_work_queue, &current_queue );
-        #ifdef STATS
+        #ifdef ACTOR_STATS
         executor_->w_infos[id].gulps++;
-        #endif // STATS
+        #endif // ACTOR_STATS
         #ifdef __STEAL
         if ( isEmpty( *current_queue ) ) {
@@ -599,7 +599,7 @@
             __atomic_store_n( &executor_->w_infos[id].stamp, rdtscl(), __ATOMIC_RELAXED );
             
-            #ifdef STATS
+            #ifdef ACTOR_STATS
             executor_->w_infos[id].try_steal++;
-            #endif // STATS
+            #endif // ACTOR_STATS
             
             steal_work( this, start + prng( range ) );
@@ -608,5 +608,5 @@
         #endif // __STEAL
         while ( ! isEmpty( *current_queue ) ) {
-            #ifdef STATS
+            #ifdef ACTOR_STATS
             executor_->w_infos[id].processed++;
             #endif
@@ -636,5 +636,5 @@
 
 static inline void __reset_stats() {
-    #ifdef STATS
+    #ifdef ACTOR_STATS
     __total_tries = 0;
     __total_stolen = 0;
